Skip to main content
GET
/
api
/
v2
/
network
/
players
List players
curl --request GET \
  --url https://{domain}/api/v2/network/players \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "filter": {
    "registration_date": {
      ">=": "2025-01-01",
      "<=": "2025-03-31"
    },
    "countries": {
      "IN": [
        1269750
      ]
    },
    "affiliates": {
      "IN": [
        10,
        20
      ]
    },
    "commission_plans": {
      "IN": [
        292
      ]
    },
    "status": {
      "=": "active"
    }
  }
}
'
import requests

url = "https://{domain}/api/v2/network/players"

payload = { "filter": {
"registration_date": {
">=": "2025-01-01",
"<=": "2025-03-31"
},
"countries": { "IN": [1269750] },
"affiliates": { "IN": [10, 20] },
"commission_plans": { "IN": [292] },
"status": { "=": "active" }
} }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filter: {
registration_date: {'>=': '2025-01-01', '<=': '2025-03-31'},
countries: {IN: [1269750]},
affiliates: {IN: [10, 20]},
commission_plans: {IN: [292]},
status: {'=': 'active'}
}
})
};

fetch('https://{domain}/api/v2/network/players', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "Players List",
  "success": true,
  "info": [
    {
      "id": 123,
      "player_id": "<string>",
      "crm_id": "<string>",
      "type": "<string>",
      "currency": "<string>",
      "verified": true,
      "registration_date": "2023-11-07T05:31:56Z",
      "ftd_date": "2023-11-07T05:31:56Z",
      "ftd_amount": 123,
      "qualification_date": "2023-11-07T05:31:56Z",
      "balance": 123,
      "click_id": "<string>",
      "internal_notes": "<string>",
      "affiliate": {
        "id": 123,
        "title": "<string>"
      },
      "commission_plan": {
        "id": 123,
        "title": "<string>"
      },
      "brand": {
        "id": 123,
        "title": "<string>"
      },
      "product": {
        "id": 123,
        "title": "<string>"
      },
      "traffic_source": {
        "id": 123,
        "value": "<string>"
      },
      "metadata": {
        "id": 123,
        "default_currency": "<string>",
        "currency": "<string>"
      }
    }
  ]
}
{
"message": "Request could not be parsed.",
"success": false,
"info": {
"errors": {}
}
}
{
"message": "API key is invalid or missing.",
"success": false
}
{
"message": "This endpoint is not available for your role.",
"success": false
}
{
"message": "An unexpected error occurred.",
"success": false,
"info": {
"errors": {}
}
}

Authorizations

X-API-Key
string
header
required

Preferred authentication method. Pass the API key in the X-API-Key HTTP request header. The user account must have api_status enabled.

Query Parameters

page
integer
default:1

Page number.

perPage
integer
default:10

Items per page.

sortField
enum<string>
default:registration_date

Field to sort by.

Available options:
registration_date,
ftd_date,
qualification_date
sortDirection
enum<string>
default:desc

Sort direction.

Available options:
asc,
desc

Free-text search — matches player_id, click_id, promo_code.

offers
string

Comma-separated offer IDs to filter by.

affiliates
string

Comma-separated affiliate IDs to filter by.

commissionPlans
string

Comma-separated commission plan IDs to filter by.

trafficSources
string

Comma-separated traffic source IDs to filter by.

status
enum<string>

Player status filter.

Available options:
active,
restricted
deposited
boolean

Filter by whether the player has made a first deposit.

qualified
boolean

Filter by whether the player is qualified (has a qualification date).

verified
boolean

Filter by verification status.

fields
string

Comma-separated field keys to include in each player object.

Body

application/json

Advanced filter conditions.

filter
object

Filter conditions keyed by attribute name. Each attribute value is an operator map, e.g. {">=": "2025-01-01"} or {"IN": [1, 2]}.

Supported attributes:

  • registration_date, ftd_date, qualification_date — date comparisons (user timezone)
  • countries — array of country IDs
  • affiliates, offers, commission_plans, traffic_source_ids — array of IDs
  • statusactive or restricted
  • status_details — string array
  • verified, deposited, qualified, is_frozen — boolean
  • winbinin_winbin, exited_winbin, never_in_winbin

Response

Players list.

message
string
Example:

"Players List"

success
boolean
Example:

true

info
object[]